summaryrefslogtreecommitdiff
path: root/autoinstall/bootstrap/quiltrc.txt
diff options
context:
space:
mode:
Diffstat (limited to 'autoinstall/bootstrap/quiltrc.txt')
-rw-r--r--autoinstall/bootstrap/quiltrc.txt15
1 files changed, 15 insertions, 0 deletions
diff --git a/autoinstall/bootstrap/quiltrc.txt b/autoinstall/bootstrap/quiltrc.txt
new file mode 100644
index 0000000..e002af0
--- /dev/null
+++ b/autoinstall/bootstrap/quiltrc.txt
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# Initialize .quiltrc (from http://www.debian.org/doc/manuals/maint-guide/modify.en.html)
+cat > /home/kolab/.quiltrc << EOF
+d=. ; while [ ! -d \$d/debian -a \$(readlink -e \$d) != / ]; do d=\$d/..; done
+if [ -d \$d/debian ] && [ -z \$QUILT_PATCHES ]; then
+ # if in Debian packaging tree with unset \$QUILT_PATCHES
+ QUILT_PATCHES="debian/patches"
+ QUILT_PATCH_OPTS="--reject-format=unified"
+ QUILT_DIFF_ARGS="-p ab --no-timestamps --no-index --color=auto"
+ QUILT_REFRESH_ARGS="-p ab --no-timestamps --no-index"
+ QUILT_COLORS="diff_hdr=1;32:diff_add=1;34:diff_rem=1;31:diff_hunk=1;33:diff_ctx=35:diff_cctx=33"
+ if ! [ -d \$d/debian/patches ]; then mkdir \$d/debian/patches; fi
+fi
+EOF